# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu Jun 20 16:29:16 2024
# ------------------------------------------------

package:
  name: faker
  version: 25.8.0
source:
  sha256: bdec5f2fb057d244ebef6e0ed318fea4dcbdf32c3a1a010766fc45f5d68fc68d
  url: https://pypi.org/packages/source/F/Faker/Faker-25.8.0.tar.gz
build:
  entry_points:
    - faker = faker.cli:execute_from_command_line
  number: '0'
  script: /croot/faker_1718900962594/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py311h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2024.3.11 h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.14 h5eee18b_0
    - pip 24.0 py311h06a4308_0
    - python 3.11.9 h955ad1f_0
    - readline 8.2 h5eee18b_0
    - setuptools 69.5.1 py311h06a4308_0
    - sqlite 3.45.3 h5eee18b_0
    - tk 8.6.14 h39e8969_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.43.0 py311h06a4308_0
    - xz 5.4.6 h5eee18b_1
    - zlib 1.2.13 h5eee18b_1
  run:
    - python >=3.11,<3.12.0a0
    - python-dateutil >=2.4
test:
  commands:
    - pip check
    - python -m faker --help
    - pytest -vv
  imports:
    - faker
    - faker.cli
    - faker.documentor
    - faker.exceptions
    - faker.factory
    - faker.generator
    - faker.proxy
  requires:
    - freezegun
    - pip
    - pytest
    - validators
  source_files:
    - tests
about:
  description: 'Faker is a Python package that generates fake data for you.

    Whether you need to bootstrap your database, create good-looking XML documents,

    fill-in your persistence to stress test it, or anonymize data taken from a

    production service, Faker is for you.

    '
  dev_url: https://github.com/joke2k/faker
  doc_url: https://faker.readthedocs.io
  home: https://faker.readthedocs.io
  license: MIT
  license_family: MIT
  license_file: LICENSE.txt
  summary: Faker is a Python package that generates fake data for you
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: cbb7e212-0470-4002-89e5-59de6e3ab536
  recipe-maintainers:
    - ocefpafs
    - pmlandwehr
  remote_url: git@github.com:AnacondaRecipes/faker-feedstock.git
  sha: 67c803a3e02f9d1fc33616a431baff6041083988
